Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233182 - HWCERT: ProLiant ML310 G3
Summary: HWCERT: ProLiant ML310 G3
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Ready Certification Tests
Classification: Retired
Component: dumpster
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Xu Bo
QA Contact: Chris Williams
URL: http://h18004.www1.hp.com/products/qu...
Whiteboard: ProLiant
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-20 19:57 UTC by Peter Rega
Modified: 2016-09-29 11:34 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-09-10 08:45:43 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Certification Workflow Engine(Live) 233182 None None None 2016-09-29 11:34:01 UTC

Description Peter Rega 2007-03-20 19:57:47 UTC
Red Hat Hardware Certification Submitted

Product:        Red Hat Enterprise Linux
Version:        5
Make:           UnknownMake
Model:          ProLiant ML310 G3
Vendor:         Hewlett Packard
Category:       Server
Reporter:       peter.rega@hp.com
Kernel Version: kernel-xen-2.6.18-8.el5
File Uploaded: hts-HP-ProLiant_ML310_G3-Tikanga5_i686_results-1.noarch.rpm
http://hardware.redhat.com/hwcert/data/rpms/fc2f05dadc5c6f1a8410aaa4bcce13b2/hts-HP-ProLiant_ML310_G3-Tikanga5_i686_results-1.noarch.rpm Please note the following failures:
WARNING: Kickstart file not found for required tests check.

0   PASSED   INFO
    PASSED   VIDEO
    PASSED   STORAGE
    PASSED   NETWORK
    PASSED   MEMORY
    PASSED   CORE
1   PASSED   INFO
    PASSED   CDROM
2   FAILED   USB
    PASSED   INFO
3   PASSED   USB
    PASSED   INFO

Comment 1 Peter Rega 2007-03-20 19:59:21 UTC
New Hardware Certification Package Submitted
Kernel Version: kernel-2.6.18-8.el5

File Uploaded:
hts-Xen-HVM_domU-Tikanga5_i686_results-1.noarch.rpm
http://hardware.redhat.com/hwcert/data/rpms/ec590f7b10f227a8d26bf3d2f095c132/hts-Xen-HVM_domU-Tikanga5_i686_results-1.noarch.rpm

Please note the following failures:
WARNING: Kickstart file not found for required tests check.

0   PASSED   INFO
    PASSED   MEMORY
1   PASSED   INFO
    PASSED   NETWORK
2   PASSED   INFO
    PASSED   CORE
3   PASSED   INFO
    PASSED   STORAGE


Comment 2 Peter Rega 2007-03-20 20:01:33 UTC
New Hardware Certification Package Submitted
Kernel Version: kernel-xen-2.6.18-8.el5

File Uploaded:
hts-HP-ProLiant_ML310_G3-Tikanga5_i686_results-1.noarch.rpm
http://hardware.redhat.com/hwcert/data/rpms/1215bcab8df51c4dc61d0c8fcca0feff/hts-HP-ProLiant_ML310_G3-Tikanga5_i686_results-1.noarch.rpm

Please note the following failures:
WARNING: Kickstart file not found for required tests check.

0   PASSED   INFO
    PASSED   CORE


Comment 3 Peter Rega 2007-03-20 20:02:03 UTC
New Hardware Certification Package Submitted
Kernel Version: kernel-xen-2.6.18-8.el5

File Uploaded:
hts-HP-ProLiant_ML310_G3-Tikanga5_x86_64_results-1.noarch.rpm
http://hardware.redhat.com/hwcert/data/rpms/3d44ce283a8f77206111705594413617/hts-HP-ProLiant_ML310_G3-Tikanga5_x86_64_results-1.noarch.rpm

Please note the following failures:
WARNING: Kickstart file not found for required tests check.

0   PASSED   INFO
    PASSED   CORE


Comment 4 Xu Bo 2007-03-22 08:44:36 UTC
Peter,
CPU: Please confirm whether the CPU tests on 32-bit and 64-bit were run with
Intel Pentium D 900 series(I presume it was 960(SL9AP)).

NETWORK: NC2320i, I presumed it BCM5721.

STORAGE: HP U320 SCSI FIO HBA ALL, I presumed it LSI Logic 53c1030.

About all the other tests required, please refer to the test plan. You can
leverage them from other cert or run the tests.

Thanks, Xu

Comment 5 Peter Rega 2007-03-22 22:22:53 UTC
Xu:

The two additional CPU tests were run on the single core Intel Pentium 6xx
series.  The full runs are using the Intel 9xx Dual core processors.  Note that
the 6xx series is using HT while the 9xx does not.

I will be providing the x64 test results and the leverage numbers soon.



Comment 6 Xu Bo 2007-03-29 03:11:45 UTC
Peter, need to confirm whether *Smart Array 641/642 Controller* are exact same
as Smart Array 6402/6404 mentioned in cert 229088.
Missing integrated SAS and SATA controller test results on 32bit. 

Thanks, Xu



Comment 7 Peter Rega 2007-03-29 15:00:32 UTC
Xu:
The 6402/4 utilize the same chipset as the 641/2, so they are the same thing.

The Integrated Four Channel SATA Controller is the local storage test that was
run.  We do not have an Integrated SAS Controller for this box, i do not see it
in the quick specs.

Comment 8 Peter Rega 2007-03-29 17:50:03 UTC
Xu,
We are going to leverage the embedded SATA controller test from the DL320G4
which uses the same controller.

The local tests were done on the SCSI model of the server.

Comment 9 Xu Bo 2007-03-30 02:04:22 UTC
Peter, sorry for my mistake about the integrated SAS controller. Removed this
items from the test plan.

Comment 11 Peter Rega 2007-04-06 14:59:45 UTC
New Hardware Certification Package Submitted
Kernel Version: kernel-xen-2.6.18-8.el5

File Uploaded:
ML310G3x64_pass25_complete.rpm
http://hardware.redhat.com/hwcert/data/rpms/2a31210caf5f14ba83088ead17060c50/ML310G3x64_pass25_complete.rpm

Please note the following failures:
WARNING: Kickstart file not found for required tests check.

0   PASSED   INFO
    PASSED   VIDEO
    PASSED   STORAGE
    PASSED   NETWORK
    PASSED   MEMORY
    PASSED   CORE
1   PASSED   INFO
    PASSED   CDROM
2   PASSED   USB
    PASSED   INFO


Comment 12 Peter Rega 2007-04-06 15:00:16 UTC
Just added the dom0 log for x64.

Comment 13 Peter Rega 2007-04-06 15:23:56 UTC
Xu:

None of the processors in this system support VT.  The initial domU tests should
not have been done on this system since it does not fully support Xen.

This confusion came from Intel incorrectly reporting on their web site that the
processors are VT enabled when they are not.  Please delete the x32 domU log and
remove the tests from the test plan.  Thanks,

-peter

Comment 14 Xu Bo 2007-04-09 06:37:33 UTC
(In reply to comment #13)

> None of the processors in this system support VT.  The initial domU tests
> should not have been done on this system since it does not fully support Xen.
> This confusion came from Intel incorrectly reporting on their web site that
> the processors are VT enabled when they are not.  Please delete the x32 domU
> log and remove the tests from the test plan. 

Will confirm with hw-team. 
All the other test results look pretty good.



Comment 17 Ronald Pacheco 2007-04-13 02:37:32 UTC
Per Intel's processor information website, the processor in this system, 960
(SL9AP), does support VT, hence the additional testing in the dom(u) is required.

See: http://processorfinder.intel.com/List.aspx?ProcFam=2112&sSpec=&OrdCode=

Comment 18 Peter Rega 2007-04-16 22:16:43 UTC
Ron,

The processor does support VT, however the ROM that we are shipping with this
box does not.  HP does not plan on offering VT support in the ROM, so this box
should not be listed as Xen certified.

-peter

Comment 19 Chris Williams 2007-05-09 14:40:52 UTC
Peter,

This cert is in need of FV results for 64-bit, but you say the BIOS won't be
supporting VT. However, 32-bit FV results are attached. Can you help us sort
this out?

Comment 20 Peter Rega 2007-05-09 15:26:16 UTC
Chris,

The BIOS does not support the option of setting the Intel VT option to enabled
as previously stated.

Your current certification does not require the running of fully virtualized
VMs, which is the only VM which requires the VT option to be enabled.

The initial 32-bit VM results were run as paravirtualized VMs and attached to
this submission as a mistake.  Since this system is not able to run a fully
virtualized VM it should not be listed as Xen supported.  A customer would be
very unhappy if they purchased a "Xen enabled" server and is unable to run a
fully virtualized VM on the system.

-peter


Comment 21 Red Hat Bugzilla 2007-05-11 02:40:51 UTC
User slele@redhat.com's account has been closed

Comment 25 Chris Williams 2007-05-22 16:44:19 UTC
Hell Peter,

HWcert is still having problems with the  FV test results. Based on the fact
that the hardware list from those results matches that of a FV env. Cirrus Logic
video, QEMU HD, etc, and dmidecode doesn't work in a PV environment, HWcert
wants to make sure those results came from a different host. HWcert just wants
to make sure the BIOS prevents full virt and is looking for an explanation why
we have FV results on a box that is not supposed to be full virt capable. Sorry
for the nitpicking, it is a detail that needs to be followed up on. 

Comment 29 Chris Williams 2007-06-13 12:44:39 UTC
Hello Peter,

From HWcert, "it is possible and acceptable that a processor may have
some feature that a bios takes away". If HP is quite sure that the BIOS can
block the CPU's Virtualization feature successfully, we would remove the
requirements of FV tests. 

Comment 30 Red Hat Hardware Certification 2007-07-25 07:17:40 UTC
*** Auto-generated Updated ***

This hardware certification entry has been open for 42 days without an update. 

The current status indicates the entry is:
Information Required (Waiting on Vendor). 

Please update this certification and verify the status is correct.

https://hardware.redhat.com/hwcert/show.cgi?id=233182


Comment 32 Xu Bo 2007-07-30 06:21:20 UTC
Hello Peter,

From HWcert, "it is possible and acceptable that a processor may have
some feature that a bios takes away". If HP is quite sure that the BIOS can
block the CPU's Virtualization feature successfully, we would remove the
requirements of FV tests.

Comment 33 Xu Bo 2007-08-15 07:39:20 UTC
Hello Peter,

From HWcert, "it is possible and acceptable that a processor may have
some feature that a bios takes away". If HP is quite sure that the BIOS can
block the CPU's Virtualization feature successfully, we would remove the
requirements of FV tests. And the cert would be posted as CERTIFIED on 32-bit
and 64-bit.

Thanks,
/Xu


Note You need to log in before you can comment on or make changes to this bug.